package com.dev.swms.server.service.delivery;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.dev.swms.server.model.delivery.DeliveryPlan;
import com.dev.swms.server.model.delivery.DeliveryPlanDetail;
import com.dev.swms.server.model.delivery.ExecutePlan;
import com.dev.swms.server.model.delivery.ExecutePlanDetail;
import com.dev.energy.server.service.BaseManager;

/**
 * @author  dev
 * @description 
 */

@Transactional(readOnly=false)
public interface DeliveryPlanManager extends BaseManager {
	
	@Transactional
	void storeDeliveryPlan(DeliveryPlan deliveryPlan);
	
	@Transactional
	void addDeliveryPlanDetail(Long deliveryPlanId,DeliveryPlanDetail detail);
	
	@Transactional
	void removeDeliveryPlanDetail(Long deliveryPlanId,List<Long> ids);
	
	@Transactional
	void active(List<Long> ids);
	
	@Transactional
	void activeExecutePlan(List<Long> ids);
	
	@Transactional
	void storeExecutePlan(ExecutePlan executePlan);
	
	@Transactional
	void removeExecutePlanDetail(Long executePlanId,List<Long> ids);
	
	@Transactional
	void addExecutePlanDetail(Long executePlanId,ExecutePlanDetail detail);
}
